var namespace;

namespace = function(path, obj) {
  var i, len, part, ref, root;
  root = obj || this;
  ref = path.split('.');
  for (i = 0, len = ref.length; i < len; i++) {
    part = ref[i];
    root[part] || (root[part] = {});
    root = root[part];
  }
  return root;
};

namespace('ru.geo.Provider');

ru.geo.Provider.fourGeo = '4geo';

ru.geo.Provider.osm = 'osm';

ru.geo.Provider.ids = {
  fourGeo: 0,
  osm: {
    node: 1,
    way: 2,
    relation: 3,
    shape: 4
  }
};

ru.geo.Provider.toString = function(id) {
  if (id === ru.geo.Provider.ids.fourGeo) {
    return ru.geo.Provider.fourGeo;
  }
  return ru.geo.Provider.osm;
};

ru.geo.Provider.is4geoProvider = function(provider) {
  return provider === ru.geo.Provider.ids.fourGeo;
};
